## com.gargoylesoftware.htmlunit
Class SilentCssErrorHandler

    java.lang.Object
      com.gargoylesoftware.htmlunit.SilentCssErrorHandler

All Implemented Interfaces:
  java.io.Serializable, org.w3c.css.sac.ErrorHandler

    public class SilentCssErrorHandler

extends java.lang.Object
implements org.w3c.css.sac.ErrorHandler, java.io.Serializable

Implementation of `ErrorHandler` which ignores all CSS problems.

Version:
  $Revision: 4002 $
Author:
  Daniel Gredler
See Also:
  `DefaultCssErrorHandler`, Serialized Form

Constructor Summary
`SilentCssErrorHandler()`

Method Summary
`void` `error(org.w3c.css.sac.CSSParseException exception)`
`void` `fatalError(org.w3c.css.sac.CSSParseException exception)`
`void` `warning(org.w3c.css.sac.CSSParseException exception)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SilentCssErrorHandler

    public SilentCssErrorHandler()

Method Detail

### error

    public void error(org.w3c.css.sac.CSSParseException exception)

  Specified by:
    `error` in interface `org.w3c.css.sac.ErrorHandler`

### fatalError

    public void fatalError(org.w3c.css.sac.CSSParseException exception)

  Specified by:
    `fatalError` in interface `org.w3c.css.sac.ErrorHandler`

### warning

    public void warning(org.w3c.css.sac.CSSParseException exception)

  Specified by:
    `warning` in interface `org.w3c.css.sac.ErrorHandler`

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.